%define name            jacc
%define version         1.0
%define release         1jpp
%define section         non-free
%define summary		Java Authorization Contract for Containers (Java ACC) 

URL:            http://java.sun.com/j2ee/javaacc/index.html

Source0:        jacc-1_0-fr-class.zip
NoSource:       0

Name:           %{name}
Version:        %{version}
Release:        %{release}
Epoch:          0
Summary:        %{summary}
License:        Sun Binary Code License
Group:          Development/Libraries/Java
Vendor:         JPackage Project
Distribution:   JPackage
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  jpackage-utils >= 0:1.5
Requires:	jpackage-utils >= 0:1.5

%description
The Java Authorization Contract for Containers (Java ACC)
specification (JSR-115) defines new java.security.Permission
classes to satisfy the Java 2 Platform, Enterprise Edition
(J2EE) authorization model. The Java ACC specification
defines the binding of container access decisions to
operations on instances of these permission classes. It
defines the semantics of policy providers that employ the new
permission classes to address the authorization requirements
of J2EE, including the following:
* The definition of roles as named collections of permissions
* The granting to principals of permissions corresponding to
  roles
* The determination of whether a principal has been granted
  the permissions of a role (ie. isCallerInRole)
* The definition of identifier to role mappings that bind
  application embedded identifiers to application scoped role
  names
The Java ACC specification defines the installation and 
configuration of authorization providers for use by containers.
The specification defines the interfaces that a provider must
make available to allow container deployment tools to create
and manage permission collections corresponding to roles.


%prep
%setup -T -q -c

%build
#nope

%install
rm -rf $RPM_BUILD_ROOT

# jars
install -d -m 0755           $RPM_BUILD_ROOT%{_javadir}
install -p -m 0644 %{SOURCE0} $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
ln -s %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_javadir}/*

%changelog
* Tue Aug 23 2005 Ralph Apel <r.apel@r-apel.de> 0:1.0-1jpp
- First release

